REST APIUser Management Notification

PUT

Mutes notifications from a specific wallet for the authenticated user. Uses PUT as this operation creates or updates existing mute settings.

Header Params

  • request-id string

Body Params

object

  • walletId string required

    0 to 100 characters

Responses

200
Wallet notifications muted successfully

Response Body

object

  • userId string required
  • success boolean required
  • message string required
  • mutedEnterpriseIds array of strings
  • mutedWalletIds array of strings
400
Invalid mute wallet request body

Response Body

object

Bad request error response
  • name string enum required
    Error code
    ValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    400
500
Unexpected error

Response Body

object

Internal server error response
  • name string enum required
    Error code
    UnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    500